org.eclipse.rdf4j.repository.http

## Class HTTPUpdate

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractUpdate
    - - org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate
      - - org.eclipse.rdf4j.repository.http.HTTPUpdate

- All Implemented Interfaces:
    Operation, Update

      public class HTTPUpdate
      extends AbstractHTTPUpdate

  Update specific to the HTTP protocol. Methods in this class may throw the specific RepositoryException subclass UnautorizedException, the semantics of which is defined by the HTTP protocol.
  Author:
    Jeen Broekstra
  See Also:
    `UnauthorizedException`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate

      `baseURI, queryLanguage, queryString`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPUpdate(org.eclipse.rdf4j.repository.http.HTTPRepositoryConnection con, QueryLanguage ql, String queryString, String baseURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute this update on the repository.

    - ### Methods inherited from class org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate

      `getBaseURI, getBindingsArray, getHttpClient, getQueryLanguage, getQueryString, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### HTTPUpdate

          public HTTPUpdate(org.eclipse.rdf4j.repository.http.HTTPRepositoryConnection con,
                            QueryLanguage ql,
                            String queryString,
                            String baseURI)

  - ### Method Detail

    - #### execute

          public void execute()
                       throws UpdateExecutionException

      Description copied from interface: `Update`
      Execute this update on the repository.
      Throws:
        `UpdateExecutionException` - if the update could not be successfully completed.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.